Skip to content
API Reference

Users

List
organizations.users.list(strorganization_id, UserListParams**kwargs) -> UserListResponse
GET/organizations/{organization_id}/users
Retrieve
organizations.users.retrieve(struser_id, UserRetrieveParams**kwargs) -> OrganizationUser
GET/organizations/{organization_id}/users/{user_id}
Update
organizations.users.update(struser_id, UserUpdateParams**kwargs) -> OrganizationUser
PATCH/organizations/{organization_id}/users/{user_id}
Delete
organizations.users.delete(struser_id, UserDeleteParams**kwargs)
DELETE/organizations/{organization_id}/users/{user_id}
ModelsExpand Collapse
Literal["org_admin", "org_member", "org_viewer"]

User's role in the organization

Accepts one of the following:
"org_admin"
"org_member"
"org_viewer"
Literal["active", "disabled"]

Status of organization membership

Accepts one of the following:
"active"
"disabled"
class OrganizationUser:
id: str

The keycard account ID

minLength1
maxLength255
created_at: datetime

The time the entity was created in utc

formatdate-time

User's role in the organization

Accepts one of the following:
"org_admin"
"org_member"
"org_viewer"
source: str

Identity provider issuer

formaturi

Status of organization membership

Accepts one of the following:
"active"
"disabled"
updated_at: datetime

The time the entity was mostly recently updated in utc

formatdate-time
email: Optional[str]

User email address

formatemail
permissions: Optional[Dict[str, Dict[str, bool]]]

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.